Name: stax-ex
Version: 1.7
Release: 1%{?dist}
Summary: StAX API extensions
Group: Development/Libraries
License: CDDL or GPLv2
Url: https://stax-ex.dev.java.net

# svn export https://svn.java.net/svn/stax-ex~svn/tags/stax-ex-1.7 stax-ex-1.7
# find stax-ex-1.7/ -name '*.jar' -delete
# tar czf stax-ex-1.7.tar.gz stax-ex-1.7
Source0: %{name}-%{version}.tar.gz

Patch0: %{name}-pom.patch

BuildRequires: bea-stax
BuildRequires: maven
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: dos2unix

Requires: bea-stax
Requires: jpackage-utils

BuildArch: noarch


%description
This project develops a few extensions to complement JSR-173 StAX API in the
following area.

* Enable parser instance reuse (which is important in the
  high-performance environment like JAXB and JAX-WS)
* Improve the support for reading from non-text XML infoset,
  such as FastInfoset.
* Improve the namespace support.


%package javadoc
Group: Documentation
Summary: Javadoc for %{name}
Requires: jpackage-utils


%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q
%patch0 -p1

# Convert the license to UTF-8:
mv LICENSE.txt LICENSE.txt.tmp
iconv -f ISO-8859-1 -t UTF-8 LICENSE.txt.tmp > LICENSE.txt
dos2unix LICENSE.txt


%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  install \
  javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/stax-ex-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt


%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt


%changelog
* Fri Mar 9 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.7-1
- Updated to upstream version 1.7

* Fri Mar 9 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.4-2
- Cleanup of the spec file

* Sat Jan 21 2012 Marek Goldmann <mgoldman@redhat.com> 1.4-1
- Initial packaging
